## org.hibernate.envers.event
Class BaseEnversCollectionEventListener

    java.lang.Object
      org.hibernate.envers.event.BaseEnversEventListener
          org.hibernate.envers.event.BaseEnversCollectionEventListener

All Implemented Interfaces:
  EnversListener

Direct Known Subclasses:
  EnversPostCollectionRecreateEventListenerImpl, EnversPreCollectionRemoveEventListenerImpl, EnversPreCollectionUpdateEventListenerImpl

    public abstract class BaseEnversCollectionEventListener

extends BaseEnversEventListener

Base class for Envers' collection event related listeners

Constructor Summary
`protected` `BaseEnversCollectionEventListener(AuditConfiguration enversConfiguration)`

Method Summary
`protected CollectionEntry` `getCollectionEntry(AbstractCollectionEvent event)`
`protected void` `onCollectionAction(AbstractCollectionEvent event, PersistentCollection newColl, Serializable oldColl, CollectionEntry collectionEntry)`

Methods inherited from class org.hibernate.envers.event.BaseEnversEventListener
`generateBidirectionalCollectionChangeWorkUnits, getAuditConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseEnversCollectionEventListener

    protected BaseEnversCollectionEventListener(AuditConfiguration enversConfiguration)

Method Detail

### getCollectionEntry

    protected final CollectionEntry getCollectionEntry(AbstractCollectionEvent event)

### onCollectionAction

    protected final void onCollectionAction(AbstractCollectionEvent event,
                                            PersistentCollection newColl,
                                            Serializable oldColl,
                                            CollectionEntry collectionEntry)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.